Bug 848995 - should not migrate successfully when use wrong spiceport to migrate
should not migrate successfully when use wrong spiceport to migrate
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-08-16 23:02 EDT by langfang
Modified: 2012-08-27 01:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-27 01:21:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description langfang 2012-08-16 23:02:05 EDT
Description of problem:

when use "igrate -d tcp:<dst-host>:<dst-port>,spiceport=<dst-spice-port>,spicehost=<dst-host>",should not migrate successfully when use wrong spiceport to migrate.

Version-Release number of selected component (if applicable):
# uname -r
# rpm -q qemu-kvm

How reproducible:

Steps to Reproduce:
1.boot guest on src
/usr/libexec/qemu-kvm -cpu Penryn -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection  -M rhel6.3.0  -enable-kvm -name rhel6.4 -smp 4,cores=2,threads=1,sockets=2 -m 4G -uuid 0487fa86-f560-44a7-8d61-9b5fe0954fb6 -boot menu=on -drive file=/home/RHEL-Server-6.3-64-virtio.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,aio=native,media=disk,werror=stop,rerror=stop -device virtio-scsi-pci,id=bus1 -device scsi-hd,bus=bus1.0,drive=drive-virtio-disk0,id=virtio-scsi-pci0  -spice port=9000,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864  -usb -device usb-tablet,id=input1 -device sga -monitor stdio 
2.boot guest with listening mode on same host
... -spice port=8000,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864..-incoming tcp:0:5999
3. migrate -d tcp:0:5999,spiceport=5999,spicehost= spiceport,spiceport should be 8000)
Actual results:
migrate successfully

Expected results:

should not migrate successfully,when start migrate ,should check the spiceport value.
Additional info:
use the CLI as same as description
1)test on release version on rhel6.3 host,also have the same problem,so this is not regression bug
2)test remote migration ,also have the same problem
3)use others wrong spiceport also can migrate sucessfully,
eg:migrate -d tcp:0:5999,spiceport=13131(wrong spiceport)--->migrate successfully
migrate -d tcp:0:5999,spiceport=2421(wrong spiceport)--->migrate successfully
Comment 1 Ademar Reis 2012-08-24 10:08:48 EDT
Low priority, deferring to RHEL6.5 due to capacity.
Comment 2 Gerd Hoffmann 2012-08-27 01:21:25 EDT
qemu-kvm can't verify the target spice port anyway.

Beside that it doesn't do any harm to the virtual machine, just the automagic spice client migration will not work then so you have to restart the spice client with the correct parameters for the new host machine.

Note You need to log in before you can comment on or make changes to this bug.